Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.assertions
Class XMLSchemaAssertion

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.assertions.XMLSchemaAssertion

All Implemented Interfaces:
  Assertion, Cloneable, Serializable, TestElement

public class XMLSchemaAssertion
extends AbstractTestElement
implements Serializable, Assertion

XMLSchemaAssertion.java Validate response against an XML Schema author Dave Maung

See Also:
  Serialized Form

Field Summary
`static String` | `FILE_NAME_IS_REQUIRED`
`static String` | `JAXP_SCHEMA_LANGUAGE`
`static String` | `JAXP_SCHEMA_SOURCE`
`static String` | `W3C_XML_SCHEMA`
`static String` | `XSD_FILENAME_KEY`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`XMLSchemaAssertion()`

Method Summary
`AssertionResult` | `getResult(SampleResult response)` getResult
`String` | `getXsdFileName()`
`void` | `setXsdFileName(String xmlSchemaFileName)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_NAME_IS_REQUIRED

    public static final String FILE_NAME_IS_REQUIRED

See Also:
  Constant Field Values

### JAXP_SCHEMA_LANGUAGE

    public static final String JAXP_SCHEMA_LANGUAGE

See Also:
  Constant Field Values

### W3C_XML_SCHEMA

    public static final String W3C_XML_SCHEMA

See Also:
  Constant Field Values

### JAXP_SCHEMA_SOURCE

    public static final String JAXP_SCHEMA_SOURCE

See Also:
  Constant Field Values

### XSD_FILENAME_KEY

    public static final String XSD_FILENAME_KEY

See Also:
  Constant Field Values

Constructor Detail

### XMLSchemaAssertion

    public XMLSchemaAssertion()

Method Detail

### getResult

    public AssertionResult getResult(SampleResult response)

  getResult

  Specified by:
    `getResult` in interface `Assertion`
  Parameters:
    `response` - the SampleResult containing information about the Sample (duration, success, etc)
  Returns:
    the AssertionResult containing the information about whether the assertion passed or failed.

### setXsdFileName

    public void setXsdFileName(String xmlSchemaFileName)
                        throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getXsdFileName

    public String getXsdFileName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.